# old_lw.cpp File Reference

`#include "old_lw.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include <string.h>`

Include dependency graph for old_lw.cpp:

## Defines

#define | MK_ID(a, b, c, d)
#define | ID_FORM MK_ID('F','O','R','M')
#define | ID_LWOB MK_ID('L','W','O','B')
#define | ID_PNTS MK_ID('P','N','T','S')
#define | ID_SRFS MK_ID('S','R','F','S')
#define | ID_SURF MK_ID('S','U','R','F')
#define | ID_POLS MK_ID('P','O','L','S')
#define | ID_COLR MK_ID('C','O','L','R')
#define | ID_CTEX MK_ID('C','T','E','X')
#define | ID_DTEX MK_ID('D','T','E','X')
#define | ID_STEX MK_ID('S','T','E','X')
#define | ID_RTEX MK_ID('R','T','E','X')
#define | ID_TTEX MK_ID('T','T','E','X')
#define | ID_BTEX MK_ID('B','T','E','X')
#define | ID_TIMG MK_ID('T','I','M','G')
#define | ID_TFLG MK_ID('T','F','L','G')
#define | ID_TSIZ MK_ID('T','S','I','Z')
#define | ID_TCTR MK_ID('T','C','T','R')
#define | ID_TFAL MK_ID('T','F','A','L')
#define | ID_TVEL MK_ID('T','V','E','L')
#define | ID_TWRP MK_ID('T','W','R','P')
#define | FALSE 0
#define | TRUE 1
#define | g_return_val_if_fail(expr, val) if (!(expr)) return val;
#define | g_return_if_fail(expr) if (!(expr)) return;
#define | g_realloc(exp1, exp2) realloc(exp1,exp2)
#define | g_malloc0(exp) malloc(exp)
#define | g_warning printf
#define | g_free free

## Functions

gint | lw_is_lwobject (const char *lw_file)
lwObject * | lw_object_read (const char *lw_file, std::ostream &output)
void | lw_object_free (lwObject *lw_object)
GLfloat | lw_object_radius (const lwObject *lwo)
void | lw_object_scale (lwObject *lwo, GLfloat scale)

## Define Documentation

#define FALSE 0

#define g_free free

#define g_malloc0 | ( | exp |  | ) | malloc(exp)

#define g_realloc | ( | exp1,
|  | exp2 |  | ) | realloc(exp1,exp2)

#define g_return_if_fail | ( | expr |  | ) | if (!(expr)) return;

#define g_return_val_if_fail | ( | expr,
|  | val |  | ) | if (!(expr)) return val;

#define g_warning printf

#define ID_BTEX MK_ID('B','T','E','X')

#define ID_COLR MK_ID('C','O','L','R')

#define ID_CTEX MK_ID('C','T','E','X')

#define ID_DTEX MK_ID('D','T','E','X')

#define ID_FORM MK_ID('F','O','R','M')

#define ID_LWOB MK_ID('L','W','O','B')

#define ID_PNTS MK_ID('P','N','T','S')

#define ID_POLS MK_ID('P','O','L','S')

#define ID_RTEX MK_ID('R','T','E','X')

#define ID_SRFS MK_ID('S','R','F','S')

#define ID_STEX MK_ID('S','T','E','X')

#define ID_SURF MK_ID('S','U','R','F')

#define ID_TCTR MK_ID('T','C','T','R')

#define ID_TFAL MK_ID('T','F','A','L')

#define ID_TFLG MK_ID('T','F','L','G')

#define ID_TIMG MK_ID('T','I','M','G')

#define ID_TSIZ MK_ID('T','S','I','Z')

#define ID_TTEX MK_ID('T','T','E','X')

#define ID_TVEL MK_ID('T','V','E','L')

#define ID_TWRP MK_ID('T','W','R','P')

#define MK_ID | ( | a,
|  | b,
|  | c,
|  | d |  | ) |

Value:

    ((((guint32)(a))<<24)| \
                            (((guint32)(b))<<16)| \
                            (((guint32)(c))<< 8)| \
                            (((guint32)(d))    ))

#define TRUE 1

## Function Documentation

gint lw_is_lwobject | ( | const char * | lw_file | ) |

void lw_object_free | ( | lwObject * | lw_object | ) |

GLfloat lw_object_radius | ( | const lwObject * | lwo | ) |

lwObject* lw_object_read | ( | const char * | lw_file,
|  | std::ostream & | output
| ) |

void lw_object_scale | ( | lwObject * | lwo,
|  | GLfloat | scale
| ) |